PH00524, but emulated
===

When troubleshooting the PH00524 evacuation controller board it's useful to be
able to tell what the microcontroller _should_ be doing, rather than just
staring at disassembly/decompilation all day long.

This little program executes our scope evacuation controller's code (from the
U12 EEPROM) in an environment consisting of a Z80 CPU and all peripherals
required to reach a pumpdown state.

It comes with a little text UI interface:

    Controls: [v] vent, [p] pumpdown, [q] quit
    PC 02bc
    ---- -------- VENT
      M1     M2
    |... ..

This shows the controls (keyboard buttons v, p and q), the last program counter
at which an I/O operation was performed, indicator values, motor movement and
lightbarrier status.

Running
---

Change to this directory and run:

    $ go run ./
